Skip to content

List item placements of one catalog node materialized for the current user.

GET
/api/workspace/catalogs/{catalogDefinitionId}/nodes/{nodeId}/items
curl --request GET \
--url https://example.com/api/workspace/catalogs/example/nodes/example/items \
--header 'Authorization: Bearer <token>'
catalogDefinitionId
required
string
nodeId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Item placements of one catalog node materialized for the current caller.

object
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
CatalogNodeId

Catalog node identifier.

string
nullable
Items

Materialized placement rows visible to the current caller.

Array<object>
nullable

One runtime resource placed inside a catalog node.

object
PlacementId

Placement row identifier.

string
nullable
CatalogNodeId

Owning catalog node identifier.

string
nullable
EntityDefinitionId

Placed instance Entity Definition identifier.

string
nullable
EntityInstanceId

Placed Entity Instance identifier.

string
nullable
Resource

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
TypeLabel

Entity Definition type label.

string
nullable
SafeLabel

Resource Catalog safe label for compact contexts.

string
nullable
DisplayName

Materialized instance display name.

string
nullable
Number

Materialized instance number when available.

string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen

Whether the caller may open the underlying instance.

boolean
ProviderFields

Provider-owned display fields capped by the server-side list projection.

Array<object>
nullable

One provider-owned list-projection field for a catalog item row.

object
Key

Stable provider field key.

string
nullable
Label

Localized display label.

string
nullable
Value

Display-safe value.

string
nullable
ExtraFieldsOverflowCount

Number of provider fields omitted from the compact row.

integer format: int32
CreatedAt

Placement creation timestamp.

string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Item placements of one catalog node materialized for the current caller.

object
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
CatalogNodeId

Catalog node identifier.

string
nullable
Items

Materialized placement rows visible to the current caller.

Array<object>
nullable

One runtime resource placed inside a catalog node.

object
PlacementId

Placement row identifier.

string
nullable
CatalogNodeId

Owning catalog node identifier.

string
nullable
EntityDefinitionId

Placed instance Entity Definition identifier.

string
nullable
EntityInstanceId

Placed Entity Instance identifier.

string
nullable
Resource

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
TypeLabel

Entity Definition type label.

string
nullable
SafeLabel

Resource Catalog safe label for compact contexts.

string
nullable
DisplayName

Materialized instance display name.

string
nullable
Number

Materialized instance number when available.

string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen

Whether the caller may open the underlying instance.

boolean
ProviderFields

Provider-owned display fields capped by the server-side list projection.

Array<object>
nullable

One provider-owned list-projection field for a catalog item row.

object
Key

Stable provider field key.

string
nullable
Label

Localized display label.

string
nullable
Value

Display-safe value.

string
nullable
ExtraFieldsOverflowCount

Number of provider fields omitted from the compact row.

integer format: int32
CreatedAt

Placement creation timestamp.

string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}